package de.uka.ipd.consensus.foundation.rating;

/**
 * An adapter class for receiving rating events. The methods in this class are empty.
 * This class exists for convenience for creating listener objects if you don't want to implement all of the listener's methods.
 * @author Thomas Much
 * @version 2006-06-14
 */
public class RatingAdapter implements RatingListener {

	public void conceptRatingSet(RatingEvent event) { }

	public void userRatingSet(RatingEvent event) { }

	public void conceptRatingChanged(RatingEvent event) { }

	public void userRatingChanged(RatingEvent event) { }

	public void conceptRatingRemoved(RatingEvent event) { }

	public void userRatingRemoved(RatingEvent event) { }

}
